Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.openpgp
Class PGPSignatureSubpacketVector

    java.lang.Object
      org.bouncycastle.openpgp.PGPSignatureSubpacketVector

    public class PGPSignatureSubpacketVector

extends java.lang.Object

Container for a list of signature subpackets.

Method Summary
`int[]` `getCriticalTags()`
`long` `getIssuerKeyID()`
`long` `getKeyExpirationTime()` Return the number of seconds a key is valid for after its creation date.
`int` `getKeyFlags()`
`NotationData[]` `getNotationDataOccurences()`
`int[]` `getPreferredCompressionAlgorithms()`
`int[]` `getPreferredHashAlgorithms()`
`int[]` `getPreferredSymmetricAlgorithms()`
`java.util.Date` `getSignatureCreationTime()`
`long` `getSignatureExpirationTime()` Return the number of seconds a signature is valid for after its creation date.
`java.lang.String` `getSignerUserID()`
`SignatureSubpacket` `getSubpacket(int type)`
`SignatureSubpacket[]` `getSubpackets(int type)` Return all signature subpackets of the passed in type.
`boolean` `hasSubpacket(int type)` Return true if a particular subpacket type exists.
`boolean` `isPrimaryUserID()`
`int` `size()` Return the number of packets this vector contains.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSubpacket

    public SignatureSubpacket getSubpacket(int type)

### hasSubpacket

    public boolean hasSubpacket(int type)

  Return true if a particular subpacket type exists.

  Parameters:
    `type` - type to look for.
  Returns:
    true if present, false otherwise.

### getSubpackets

    public SignatureSubpacket[] getSubpackets(int type)

  Return all signature subpackets of the passed in type.

  Parameters:
    `type` - subpacket type code
  Returns:
    an array of zero or more matching subpackets.

### getNotationDataOccurences

    public NotationData[] getNotationDataOccurences()

### getIssuerKeyID

    public long getIssuerKeyID()

### getSignatureCreationTime

    public java.util.Date getSignatureCreationTime()

### getSignatureExpirationTime

    public long getSignatureExpirationTime()

  Return the number of seconds a signature is valid for after its creation date. A value of zero means the signature never expires.

  Returns:
    seconds a signature is valid for.

### getKeyExpirationTime

    public long getKeyExpirationTime()

  Return the number of seconds a key is valid for after its creation date. A value of zero means the key never expires.

  Returns:
    seconds a key is valid for.

### getPreferredHashAlgorithms

    public int[] getPreferredHashAlgorithms()

### getPreferredSymmetricAlgorithms

    public int[] getPreferredSymmetricAlgorithms()

### getPreferredCompressionAlgorithms

    public int[] getPreferredCompressionAlgorithms()

### getKeyFlags

    public int getKeyFlags()

### getSignerUserID

    public java.lang.String getSignerUserID()

### isPrimaryUserID

    public boolean isPrimaryUserID()

### getCriticalTags

    public int[] getCriticalTags()

### size

    public int size()

  Return the number of packets this vector contains.

  Returns:
    size of the packet vector.

Bouncy Castle Cryptography Library 1.45